Welcome to InspirePilots.com

Join the leading DJI Inspire community for free!

my remote controller version is: 1.5.70.

Discussion in 'Inspire 1 Discussion' started by focus_ofer, Dec 25, 2015.

  1. focus_ofer

    Joined:
    Dec 16, 2015
    Messages:
    1
    Likes Received:
    0
    hello, I have an inspire 1, and I wonder if I have the correct version of firmware on my remote controller. R.C. my version is: 1.5.70. my bird is the firmware: 1.6.0.40 and my dj and go: 2.4.3 and I'm on android tablet Zenmuse X3. thank you for your help and if the version of my remote controller is not how good our downgrade to the version that is appropriate. Thank you
     
  2. Shemp

    Joined:
    Jul 25, 2015
    Messages:
    23
    Likes Received:
    2
    Dont know about the app since Im using ios but the others are good as of 2/6
     
  3. The Editor

    The Editor Moderator
    Staff Member

    Joined:
    Aug 7, 2013
    Messages:
    6,722
    Likes Received:
    3,878
    Yes, you are all up to date on everything ! :)